Gem::Specification.new do |s|
  s.name        = 'yaml_settings'
  s.version     = File.read('lib/yaml_settings.rb')[/VERSION = '(.*)'/, 1]
  s.author      = 'Clint Pachl'
  s.email       = 'pachl@ecentryx.com'
  s.homepage    = 'https://ecentryx.com/gems/yaml_settings'
  s.license     = 'ISC'
  s.summary     = 'Load and merge application settings from YAML files'
  s.description = <<-EOS
YAMLSettings loads and recursively merges settings from one or more YAML data
files. A settings group—specified by key (e.g., environment variable)—is merged
with any default settings to create a coherent hash of settings.
  EOS
  s.files = Dir[
    'Rakefile',
    'README*',
    '*.gemspec',
    'lib/*.rb',
    'spec/**/*',
    '.rdoc_options'
  ]
  s.extra_rdoc_files = ['README.rdoc']
  s.rdoc_options = [
    '--title', "YAMLSettings Ruby Gem: #{s.summary}",
    '--main', 'README.rdoc'
  ]
  s.required_ruby_version = '>= 2.2'
  s.add_development_dependency 'bacon', '~> 1.2'
end
